#ifndef _SingleScatterFogNode
#define _SingleScatterFogNode

#include <maya/MPxNode.h>
#include <maya/MFnNumericAttribute.h>
#include <maya/MTypeId.h>

#include "TableReader.h"

 
class SingleScatterFog : public MPxNode
{
public:
						SingleScatterFog();
	virtual				~SingleScatterFog(); 

	virtual MStatus		compute( const MPlug& plug, MDataBlock& data );

	static  void*		creator();
	static  MStatus		initialize();

public:

	static TableReader F;
	
	// Inputs
	//
	static MObject aColor, aScatteringCoef, aFarPointW, aPointW;

	// Outputs
	//
	static MObject aOutColor, aOutTransparency, aOutAlpha, aOutScatteringCoef;
	
	static MTypeId id;
};

#endif
